org.gradle.nativeplatform.platform

## Interface Architecture

- All Superinterfaces:
    Named

      @Incubating
      public interface Architecture
      extends Named

  A cpu architecture.

  Instruction Set | 32-bit names | 64-bit names
  --- | --- | ---
  Intel x86 | "x86", "i386", "ia-32", "i686" | "x86_64", "amd64", "x64", "x86-64"
  Intel Itanium | N/A | "ia-64", "ia64"
  Power PC | "ppc" | "ppc64"
  Sparc | "sparc", "sparc32", "sparc-v8" | "sparc64", "ultrasparc", "sparc-v9"
  ARM | "arm", "arm-v7", "armv7", "arm32" | "arm64", "arm-v8"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this architecture.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this architecture.